curl https://api.telzino.com/v1/organizations/987fcdeb-51a2-3bc4-d567-890123456789/knowledge-bases \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"data": [
{
"id": "11111111-1111-1111-1111-111111111111",
"organization_id": "987fcdeb-51a2-3bc4-d567-890123456789",
"name": "Support Docs",
"description": null,
"source_count": 3,
"created_at": "2026-06-17T12:00:00Z",
"updated_at": "2026-06-17T12:00:00Z"
}
]
}
Knowledge Bases
List and Create Knowledge Bases
List or create organization-level RAG knowledge bases
GET
/
v1
/
organizations
/
{organization_id}
/
knowledge-bases
curl https://api.telzino.com/v1/organizations/987fcdeb-51a2-3bc4-d567-890123456789/knowledge-bases \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"data": [
{
"id": "11111111-1111-1111-1111-111111111111",
"organization_id": "987fcdeb-51a2-3bc4-d567-890123456789",
"name": "Support Docs",
"description": null,
"source_count": 3,
"created_at": "2026-06-17T12:00:00Z",
"updated_at": "2026-06-17T12:00:00Z"
}
]
}
Path Parameters
string
required
Organization ID (UUID).
List Knowledge Bases
Returns all knowledge bases in the organization with asource_count for each.
curl https://api.telzino.com/v1/organizations/987fcdeb-51a2-3bc4-d567-890123456789/knowledge-bases \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"data": [
{
"id": "11111111-1111-1111-1111-111111111111",
"organization_id": "987fcdeb-51a2-3bc4-d567-890123456789",
"name": "Support Docs",
"description": null,
"source_count": 3,
"created_at": "2026-06-17T12:00:00Z",
"updated_at": "2026-06-17T12:00:00Z"
}
]
}
Create a Knowledge Base
Send a JSON body to the same endpoint.string
required
Knowledge base name, 1-255 characters. Names must be unique within the organization.
string | null
Optional description, up to 2000 characters.
curl -X POST https://api.telzino.com/v1/organizations/987fcdeb-51a2-3bc4-d567-890123456789/knowledge-bases \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Support Docs",
"description": "FAQs and product documentation"
}'
{
"data": {
"id": "11111111-1111-1111-1111-111111111111",
"organization_id": "987fcdeb-51a2-3bc4-d567-890123456789",
"name": "Support Docs",
"description": "FAQs and product documentation",
"source_count": 0,
"created_at": "2026-06-17T12:00:00Z",
"updated_at": "2026-06-17T12:00:00Z"
}
}
{
"error": "forbidden",
"error_description": "RAG feature is not enabled for this organization"
}
{
"error": "conflict",
"error_description": "A knowledge base with that name already exists"
}
